# EditorCriterionLDiversity
Date: 2019-11-17

org.deidentifier.arx.gui.view.impl.menu

## Class EditorCriterionLDiversity

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.menu.EditorCriterion<ModelLDiversityCriterion>
  - - org.deidentifier.arx.gui.view.impl.menu.EditorCriterionLDiversity

    public class EditorCriterionLDiversity
    extends EditorCriterion<ModelLDiversityCriterion>

A view on an l-diversity criterion.

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`EditorCriterionLDiversity(org.eclipse.swt.widgets.Composite parent, ModelLDiversityCriterion model)` Creates a new instance.

### Method Summary

### Methods inherited from class org.deidentifier.arx.gui.view.impl.menu.EditorCriterion

`dispose, getModel, parseDefault`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EditorCriterionLDiversity

    public EditorCriterionLDiversity(org.eclipse.swt.widgets.Composite parent,
                                     ModelLDiversityCriterion model)

Creates a new instance.

Parameters:
  `parent` -
  `model` -